## pirs 2.0.2%2Bdfsg

=== debian/control ===
Source: pirs
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libboost-dev,
               zlib1g-dev,
               libgzstream-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/pirs
Vcs-Git: https://salsa.debian.org/med-team/pirs.git
Homepage: https://github.com/galaxy001/pirs
Rules-Requires-Root: no

Package: pirs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pirs-profiles,
         fonts-liberation,
         gnuplot-qt | gnuplot
Description: Profile based Illumina pair-end Reads Simulator
 The program pIRS can be used for simulating Illumina PE reads, with a
 series of characters generated by Illumina sequencing platform, such as
 insert size distribution, sequencing error(substitution, insertion,
 deletion), quality score and GC content-coverage bias.
 .
 The insert size follows a normal distribution, so users should set the
 mean value and standard deviation. Usually the standard deviation is set
 as 1/20 of the mean value. The normal distribution by Box-Muller method
 is simulated.
 .
 The program simulates sequencing error, quality score and GC content-
 coverage bias according to the empirical distribution profile. Some
 default profiles counted from lots of real sequencing data are provided.
 .
 To simulate reads from diploid genome, users should simulate the diploid
 genome sequence firstly by setting the ratio of heterozygosis SNP,
 heterozygosis InDel and structure variation.

Package: pirs-profiles
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: profile basd Illumina pair-end Reads Simulator (profile data)
 The program pIRS can be used for simulating Illumina PE reads, with a
 series of characters generated by Illumina sequencing platform, such as
 insert size distribution, sequencing error(substitution, insertion,
 deletion), quality score and GC content-coverage bias.
 .
 The insert size follows a normal distribution, so users should set the
 mean value and standard deviation. Usually the standard deviation is set
 as 1/20 of the mean value. The normal distribution by Box-Muller method
 is simulated.
 .
 The program simulates sequencing error, quality score and GC content-
 coverage bias according to the empirical distribution profile. Some
 default profiles counted from lots of real sequencing data are provided.
 .
 To simulate reads from diploid genome, users should simulate the diploid
 genome sequence firstly by setting the ratio of heterozygosis SNP,
 heterozygosis InDel and structure variation.
 .
 This package contains the profile data.

Package: pirs-examples
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: profile basd Illumina pair-end Reads Simulator (example data)
 The program pIRS can be used for simulating Illumina PE reads, with a
 series of characters generated by Illumina sequencing platform, such as
 insert size distribution, sequencing error(substitution, insertion,
 deletion), quality score and GC content-coverage bias.
 .
 The insert size follows a normal distribution, so users should set the
 mean value and standard deviation. Usually the standard deviation is set
 as 1/20 of the mean value. The normal distribution by Box-Muller method
 is simulated.
 .
 The program simulates sequencing error, quality score and GC content-
 coverage bias according to the empirical distribution profile. Some
 default profiles counted from lots of real sequencing data are provided.
 .
 To simulate reads from diploid genome, users should simulate the diploid
 genome sequence firstly by setting the ratio of heterozygosis SNP,
 heterozygosis InDel and structure variation.
 .
 This package contains some example data.
