=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libboost-dev,
                zlib1g-dev,
                libgzstream-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/pirs
 Vcs-Git: https://salsa.debian.org/med-team/pirs.git
 Homepage: https://github.com/galaxy001/pirs
@@ -19,7 +19,7 @@
          ${misc:Depends},
          pirs-profiles,
          fonts-liberation,
-         gnuplot-qt | gnuplot
+         gnuplot
 Description: Profile based Illumina pair-end Reads Simulator
  The program pIRS can be used for simulating Illumina PE reads, with a
  series of characters generated by Illumina sequencing platform, such as
@@ -42,7 +42,6 @@
 Package: pirs-profiles
 Architecture: all
 Depends: ${misc:Depends}
-Multi-Arch: foreign
 Description: profile basd Illumina pair-end Reads Simulator (profile data)
  The program pIRS can be used for simulating Illumina PE reads, with a
  series of characters generated by Illumina sequencing platform, such as
@@ -67,7 +66,6 @@
 Package: pirs-examples
 Architecture: all
 Depends: ${misc:Depends}
-Multi-Arch: foreign
 Description: profile basd Illumina pair-end Reads Simulator (example data)
  The program pIRS can be used for simulating Illumina PE reads, with a
  series of characters generated by Illumina sequencing platform, such as
