=== debian/tests/control ===
Tests: gcContCvgBias-test, pirs-test
Depends: @, pirs-examples
